include ../../atoms/cross/cross
mixin menu(spec)
  - spec = spec || {}
  - spec.menuItems = spec.menuItems || []
  .menu__overlay.js-overlay
  nav.menu.js-menu(class=spec.__class)&attributes(attributes)
    .menu__exit.js-exit
      +cross
    each item in spec.menuItems
      a(href= item.link).page-scroll.menu__item= item.name
        .menu__line